From: "Rick Farina" <zerochaos@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-wireless/aircrack-ng/
Date: Tue, 25 Apr 2023 01:36:56 +0000 (UTC) [thread overview]
Message-ID: <1682386613.ed0fc75c1e00358c0c1ef645973609ffba13d5b5.zerochaos@gentoo> (raw)
commit: ed0fc75c1e00358c0c1ef645973609ffba13d5b5
Author: Rick Farina <zerochaos <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 25 01:24:27 2023 +0000
Commit: Rick Farina <zerochaos <AT> gentoo <DOT> org>
CommitDate: Tue Apr 25 01:36:53 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed0fc75c
net-wireless/aircrack-ng: minor qa
Pointed out by Arfrever right after my commit.
Signed-off-by: Rick Farina <zerochaos <AT> gentoo.org>
...-ng-1.7-r1.ebuild => aircrack-ng-1.7-r2.ebuild} | 25 ++++++++++++----------
net-wireless/aircrack-ng/aircrack-ng-9999.ebuild | 25 ++++++++++++----------
2 files changed, 28 insertions(+), 22 deletions(-)
diff --git a/net-wireless/aircrack-ng/aircrack-ng-1.7-r1.ebuild b/net-wireless/aircrack-ng/aircrack-ng-1.7-r2.ebuild
similarity index 83%
rename from net-wireless/aircrack-ng/aircrack-ng-1.7-r1.ebuild
rename to net-wireless/aircrack-ng/aircrack-ng-1.7-r2.ebuild
index be8363470a9a..a4fe5c4ec493 100644
--- a/net-wireless/aircrack-ng/aircrack-ng-1.7-r1.ebuild
+++ b/net-wireless/aircrack-ng/aircrack-ng-1.7-r2.ebuild
@@ -27,7 +27,7 @@ SLOT="0"
IUSE="+airdrop-ng +airgraph-ng +experimental +netlink +pcre +sqlite test"
-DEPEND="net-libs/libpcap
+CDEPEND="net-libs/libpcap
sys-apps/hwloc:0=
dev-libs/libbsd
dev-libs/openssl:0=
@@ -37,8 +37,11 @@ DEPEND="net-libs/libpcap
airgraph-ng? ( ${PYTHON_DEPS} )
experimental? ( sys-libs/zlib )
sqlite? ( >=dev-db/sqlite-3.4:3 )
- test? ( dev-tcltk/expect )"
-RDEPEND="${DEPEND}
+ "
+DEPEND="${CDEPEND}
+ test? ( dev-tcltk/expect )
+ "
+RDEPEND="${CDEPEND}
kernel_linux? (
net-wireless/iw
net-wireless/wireless-tools
@@ -47,10 +50,10 @@ RDEPEND="${DEPEND}
sys-apps/pciutils )
sys-apps/hwdata
airdrop-ng? ( net-wireless/lorcon[python,${PYTHON_USEDEP}] )"
-BDEPEND="${DISTUTILS_DEPS}"
+#BDEPEND="airdrop-ng? ( ${DISTUTILS_DEPS} )
+# airgraph-ng? ( ${DISTUTILS_DEPS} )"
-REQUIRED_USE="
- airdrop-ng? ( ${PYTHON_REQUIRED_USE} )
+REQUIRED_USE="airdrop-ng? ( ${PYTHON_REQUIRED_USE} )
airgraph-ng? ( ${PYTHON_REQUIRED_USE} )"
RESTRICT="!test? ( test )"
@@ -82,11 +85,11 @@ src_compile() {
default
if use airgraph-ng; then
- cd "${S}/scripts/airgraph-ng"
+ cd "${S}/scripts/airgraph-ng" || die
distutils-r1_src_compile
fi
if use airdrop-ng; then
- cd "${S}/scripts/airdrop-ng"
+ cd "${S}/scripts/airdrop-ng" || die
distutils-r1_src_compile
fi
}
@@ -95,15 +98,15 @@ src_install() {
default
if use airgraph-ng; then
- cd "${S}/scripts/airgraph-ng"
+ cd "${S}/scripts/airgraph-ng" || die
distutils-r1_src_install
fi
if use airdrop-ng; then
- cd "${S}/scripts/airdrop-ng"
+ cd "${S}/scripts/airdrop-ng" || die
distutils-r1_src_install
fi
# we don't need aircrack-ng's oui updater, we have our own
- rm "${ED}"/usr/sbin/airodump-ng-oui-update
+ rm "${ED}"/usr/sbin/airodump-ng-oui-update || die
find "${D}" -xtype f -name '*.la' -delete || die
}
diff --git a/net-wireless/aircrack-ng/aircrack-ng-9999.ebuild b/net-wireless/aircrack-ng/aircrack-ng-9999.ebuild
index b8e12c8d8c8f..41428d7587ed 100644
--- a/net-wireless/aircrack-ng/aircrack-ng-9999.ebuild
+++ b/net-wireless/aircrack-ng/aircrack-ng-9999.ebuild
@@ -27,7 +27,7 @@ SLOT="0"
IUSE="+airdrop-ng +airgraph-ng +experimental +netlink +pcre +sqlite test"
-DEPEND="net-libs/libpcap
+CDEPEND="net-libs/libpcap
sys-apps/hwloc:0=
dev-libs/libbsd
dev-libs/openssl:0=
@@ -37,8 +37,11 @@ DEPEND="net-libs/libpcap
airgraph-ng? ( ${PYTHON_DEPS} )
experimental? ( sys-libs/zlib )
sqlite? ( >=dev-db/sqlite-3.4:3 )
- test? ( dev-tcltk/expect )"
-RDEPEND="${DEPEND}
+ "
+DEPEND="${CDEPEND}
+ test? ( dev-tcltk/expect )
+ "
+RDEPEND="${CDEPEND}
kernel_linux? (
net-wireless/iw
net-wireless/wireless-tools
@@ -47,10 +50,10 @@ RDEPEND="${DEPEND}
sys-apps/pciutils )
sys-apps/hwdata
airdrop-ng? ( net-wireless/lorcon[python,${PYTHON_USEDEP}] )"
-BDEPEND="${DISTUTILS_DEPS}"
+#BDEPEND="airdrop-ng? ( ${DISTUTILS_DEPS} )
+# airgraph-ng? ( ${DISTUTILS_DEPS} )"
-REQUIRED_USE="
- airdrop-ng? ( ${PYTHON_REQUIRED_USE} )
+REQUIRED_USE="airdrop-ng? ( ${PYTHON_REQUIRED_USE} )
airgraph-ng? ( ${PYTHON_REQUIRED_USE} )"
RESTRICT="!test? ( test )"
@@ -82,11 +85,11 @@ src_compile() {
default
if use airgraph-ng; then
- cd "${S}/scripts/airgraph-ng"
+ cd "${S}/scripts/airgraph-ng" || die
distutils-r1_src_compile
fi
if use airdrop-ng; then
- cd "${S}/scripts/airdrop-ng"
+ cd "${S}/scripts/airdrop-ng" || die
distutils-r1_src_compile
fi
}
@@ -95,15 +98,15 @@ src_install() {
default
if use airgraph-ng; then
- cd "${S}/scripts/airgraph-ng"
+ cd "${S}/scripts/airgraph-ng" || die
distutils-r1_src_install
fi
if use airdrop-ng; then
- cd "${S}/scripts/airdrop-ng"
+ cd "${S}/scripts/airdrop-ng" || die
distutils-r1_src_install
fi
# we don't need aircrack-ng's oui updater, we have our own
- rm "${ED}"/usr/sbin/airodump-ng-oui-update
+ rm "${ED}"/usr/sbin/airodump-ng-oui-update || die
find "${D}" -xtype f -name '*.la' -delete || die
}
next reply other threads:[~2023-04-25 1:37 UTC|newest]
Thread overview: 52+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-04-25 1:36 Rick Farina [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-11-10 1:05 [gentoo-commits] repo/gentoo:master commit in: net-wireless/aircrack-ng/ Rick Farina
2023-08-19 22:48 Rick Farina
2023-04-25 19:13 Rick Farina
2023-04-24 21:05 Rick Farina
2023-04-24 21:05 Rick Farina
2023-03-07 15:45 Sam James
2023-03-07 11:42 Sam James
2023-03-04 5:41 Arthur Zamarin
2022-05-11 0:36 Rick Farina
2022-01-13 1:53 Rick Farina
2022-01-04 10:30 David Seifert
2022-01-04 3:29 Sam James
2021-12-25 0:02 Mike Gilbert
2021-12-07 20:29 Sam James
2021-11-25 17:05 Mike Gilbert
2021-05-03 9:47 Mikle Kolyada
2021-02-17 16:47 Rick Farina
2020-11-05 22:26 Michał Górny
2020-10-13 9:26 Agostino Sarubbo
2020-10-09 8:40 Agostino Sarubbo
2020-10-03 14:53 Sam James
2020-07-23 2:07 Rick Farina
2020-07-23 2:07 Rick Farina
2020-05-28 1:28 Rick Farina
2020-05-28 1:28 Rick Farina
2020-02-14 19:40 Rick Farina
2020-01-27 21:32 Rick Farina
2020-01-27 21:32 Rick Farina
2019-05-21 16:45 Stephen Klimaszewski
2019-05-05 19:05 Mike Gilbert
2019-04-02 10:32 Alon Bar-Lev
2019-03-30 19:05 Mikle Kolyada
2019-03-24 10:01 Agostino Sarubbo
2019-01-21 22:05 Alon Bar-Lev
2019-01-21 20:37 Alon Bar-Lev
2018-12-17 16:21 Rick Farina
2018-10-09 9:42 Mikle Kolyada
2018-10-01 14:52 Richard Farina
2018-09-27 23:55 Alon Bar-Lev
2018-08-16 23:50 Mikle Kolyada
2018-08-14 11:31 Alon Bar-Lev
2018-08-14 11:31 Alon Bar-Lev
2018-08-14 11:31 Alon Bar-Lev
2018-08-14 11:31 Alon Bar-Lev
2018-07-09 14:20 Richard Farina
2017-03-03 12:56 Alon Bar-Lev
2017-02-04 21:40 Alon Bar-Lev
2016-06-30 17:16 Richard Farina
2015-12-18 4:37 Richard Farina
2015-12-11 22:55 Richard Farina
2015-11-22 3:36 Richard Farina
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1682386613.ed0fc75c1e00358c0c1ef645973609ffba13d5b5.zerochaos@gentoo \
--to=zerochaos@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox